Subject: [regext] RDAP entity name search question

From: Brian Mountford <[email-masked]>
Date: Wed, 10 Aug 2016 17:45:09 -0400

RFC 7482 doesn't seem to indicate how Unicode characters are to be
specified when searching for entities by name. Should the name be
punycoded? Passed as encoded Unicode? Either way?

Thanks.

Brian

---

From: "Marc Blanchet" <[email-masked]>
Date: Wed, 10 Aug 2016 21:58:54 -0400

On 10 Aug 2016, at 17:45, Brian Mountford wrote:

> punycoded?

punycode is really only for domain names.

Marc.

> Passed as encoded Unicode? Either way?
>
> Thanks.
>
> Brian
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 11 Aug 2016 10:56:22 +0000

Look at Section 6.1. As Marc noted, not punycode.

Scott

From: regext [mailto:[email-masked]] On Behalf Of Brian Mountford
Sent: Wednesday, August 10, 2016 5:45 PM
To: [email-masked]
Subject: [regext] RDAP entity name search question

RFC 7482 doesn't seem to indicate how Unicode characters are to be specified when searching for entities by name. Should the name be punycoded? Passed as encoded Unicode? Either way?

Thanks.

Brian